GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::GtImm Class Reference
GTPin: GEN Architecture

Immediate operand of the GEN instruction. More...

`#include <gt_ins_fields.h>`

## Public Member Functions
constexpr | GtImm ()
| Default constructor.
constexpr | GtImm (uint64_t value, GtDataType dataType=GED_DATA_TYPE_ud)
| Construct immediate operand with the specified type and value.
constexpr bool | IsValid () const
| Return true for a valid immediate operand.
constexpr GtDataType | DataType () const
| Return type of the operand.
constexpr uint64_t | Value () const
| Return Value of the immediate operand.
constexpr | operator uint64_t () const

## Detailed Description

Immediate operand of the GEN instruction.

## Constructor & Destructor Documentation

constexpr gtpin::GtImm::GtImm | ( | uint64_t | value,
|  | GtDataType | dataType = `GED_DATA_TYPE_ud`
| ) |  | `[inline]`

Construct immediate operand with the specified type and value.

Note:
  Extension of signed integer value to 64 bit must preserve sign of the value. GtImmS32() can be helpful in defining signed 32-bit immediate operands.

## Member Function Documentation

constexpr gtpin::GtImm::operator uint64_t | ( |  | ) | const`[inline]`

Return Value of the immediate operand.

Note:
  Explicit casting of immediate value to an appropriate C type is a caller's responsibility.

constexpr uint64_t gtpin::GtImm::Value | ( |  | ) | const`[inline]`

Return Value of the immediate operand.

Note:
  Explicit casting of immediate value to an appropriate C type is a caller's responsibility.

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT